Get a user-level variable which is created by current doer
GET
/user/actions/variables/{variablename}
const url = 'https://gitea.example.com/api/v1/user/actions/variables/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/user/actions/variables/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”variablename
required
string
Name of the variable
Responses
Section titled “Responses”ActionVariable
Media typeapplication/json
ActionVariable return value of the query API
object
data
The value of the variable
string
name
The name of the variable
string
owner_id
The owner to which the variable belongs
integer format: int64
repo_id
The repository to which the variable belongs
integer format: int64
Examplegenerated
{ "data": "example", "name": "example", "owner_id": 1, "repo_id": 1}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json